Page MenuHomePhabricator

Coordinate and facilitate adoption of Template styles with Main Page maintainers
Closed, ResolvedPublic

Description

Background

One of the main goals of TemplateStyles was to help content creators easily adopt layouts for mobile browsers.

Typically Main Pages have very complex layouts, and those layouts tend to break on small screens. Because of this, other extensions like MobileFrontend have had to special case main pages, striping and reformatting content to get them to display properly on mobile devices. This is obviously not ideal, as it would be a much better solution to allow the content creators to control the style in a way that makes sense for their content.

Additionally, we are in the process of migrating all mobile clients to Parsoid parser markup. Instead of using Mobile Frontend we will be using the new Page Content Service which will be based on Parsoid to deliver HTML to each of the mobile clients. We would rather render Main Pages faithfully from the start instead of special casing Main Pages in the same way that Mobile Frontend currently does now.

The Page Content Service will be used to deliver HTML to the Wikipedia Android app, the iOS App, and the Marvin Progressive Web App.

Goal

In order to support faithful, responsive display of Main Page content on mobile, we would like to provide whatever support is needed to Main Page maintainers to migrate to TemplateStyles as soon as it possible. End of Q2 (the 2017 calendar year) would be ideal as it will coincide with the Reader Team migration to Parsoid.

As a start, we created this guide to aide migration:
https://www.mediawiki.org/wiki/Mobile_Gateway/Mobile_homepage_formatting#Deprecation_steps_for_wikis_using_MFSpecialCaseMainPage

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 18 2017, 5:07 PM
Fjalapeno updated the task description. (Show Details)Aug 18 2017, 5:09 PM

Hey @Fjalapeno , can you link this to other tasks on the topic?
Also, if you need actual CL support here, please make sure all the points at https://office.wikimedia.org/wiki/Community_Liaisons/Support_requests#What_to_write are covered in the task description. TYVM!

Anomie moved this task from Up next to Non-code on the TemplateStyles board.Sep 19 2017, 10:24 PM
Qgil added a subscriber: Qgil.Oct 11 2017, 11:43 AM

I agree with Erica. It isn't clear whether this is a request for Community Liaisons support or not. And if it is, what is the timeline expected and how success looks like.

@Fjalapeno, @CKoerner_WMF can you help clarifying this, please? Thank you.

I believen this does require CL support.

Success is the majority of Project Main Pages using Template styles (Also see T32405: [EPIC] MobileFrontend extension should stop special-casing main page)

This allows mobile web and apps to display mobile pages properly while allowing maintainers to control the layout.

Timeline is unclear. Obviously the sooner the better, but we don't know what is realistic (at least I don't).

I agree with @Fjalapeno
We wrote https://www.mediawiki.org/wiki/Mobile_Gateway/Mobile_homepage_formatting#Deprecation_steps_for_wikis_using_MFSpecialCaseMainPage back in August, but no community has paid any attention to them. We want to push ahead with this deprecation but obviously we don't want to break landing pages for all our projects. We need help getting out this message and instilling some urgency.

CKoerner_WMF closed this task as Resolved.Mar 2 2018, 6:23 PM
CKoerner_WMF claimed this task.

Hey watchers of this task. I just updated T164927 which provides a high-level overview of what we should do as we approach each community (at least initially) with enabling TemplateStyles. This task for Main Page maintainers should be one of the groups of users we should reach out to explicitly as we progress, but is not the only group! So I've folded the work of this task into the outreach one so we don't miss this group and am resolving here. I hope that's satisfactory and I'm happy to have feedback if not.

Deskana moved this task from Non-code to External on the TemplateStyles board.Mar 6 2018, 6:44 PM
Deskana moved this task from External to Done on the TemplateStyles board.